Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.sos.configuration
Class ConfigurationFactory

    java.lang.Object
      org.deegree.portal.standard.sos.configuration.ConfigurationFactory

    public class ConfigurationFactory

extends Object

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Christian Heier, last edited by: $Author: mschneider $

Constructor Summary
`ConfigurationFactory()`

Method Summary
`static SOSClientConfiguration` | `createConfiguration(Reader reader)`
`static SOSClientConfiguration` | `createConfiguration(String confFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationFactory

    public ConfigurationFactory()

Method Detail

### createConfiguration

    public static SOSClientConfiguration createConfiguration(String confFile)
                                                      throws SAXException,
                                                             IOException,
                                                             Exception

  Parameters:
    `confFile` -
  Returns:
    Configuration
  Throws:
    `SAXException`
    `IOException`
    `Exception`

### createConfiguration

    public static SOSClientConfiguration createConfiguration(Reader reader)
                                                      throws SAXException,
                                                             IOException,
                                                             Exception

  Parameters:
    `reader` -
  Returns:
    SOSClientConfiguration
  Throws:
    `SAXException`
    `IOException`
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org